## org.apache.solr.common.params
Enum CoreAdminParams.CoreAdminAction

    java.lang.Object
      java.lang.Enum<CoreAdminParams.CoreAdminAction>
          org.apache.solr.common.params.CoreAdminParams.CoreAdminAction

All Implemented Interfaces:
  Serializable, Comparable<CoreAdminParams.CoreAdminAction>

Enclosing interface:
  CoreAdminParams

    public static enum CoreAdminParams.CoreAdminAction

extends Enum<CoreAdminParams.CoreAdminAction>

Enum Constant Summary
`ALIAS`
`CREATE`
`LOAD`
`MERGEINDEXES`
`PERSIST`
`RELOAD`
`RENAME`
`STATUS`
`SWAP`
`UNLOAD`

Method Summary
`static CoreAdminParams.CoreAdminAction` `get(String p)`
`static CoreAdminParams.CoreAdminAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CoreAdminParams.CoreAdminAction[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STATUS

    public static final CoreAdminParams.CoreAdminAction STATUS

### LOAD

    public static final CoreAdminParams.CoreAdminAction LOAD

### UNLOAD

    public static final CoreAdminParams.CoreAdminAction UNLOAD

### RELOAD

    public static final CoreAdminParams.CoreAdminAction RELOAD

### CREATE

    public static final CoreAdminParams.CoreAdminAction CREATE

### PERSIST

    public static final CoreAdminParams.CoreAdminAction PERSIST

### SWAP

    public static final CoreAdminParams.CoreAdminAction SWAP

### RENAME

    public static final CoreAdminParams.CoreAdminAction RENAME

### ALIAS

    public static final CoreAdminParams.CoreAdminAction ALIAS

### MERGEINDEXES

    public static final CoreAdminParams.CoreAdminAction MERGEINDEXES

Method Detail

### values

    public static final CoreAdminParams.CoreAdminAction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CoreAdminParams.CoreAdminAction c : CoreAdminParams.CoreAdminAction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CoreAdminParams.CoreAdminAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static CoreAdminParams.CoreAdminAction get(String p)

Copyright © 2010 Apache Software Foundation. All Rights Reserved.